package model

import (
	"context"
	"yx-dataset-server/app/schema"
)

// IChatMessage ChatMessage存储接口
type IChatMessage interface {
	// 查询数据
	Query(ctx context.Context, params schema.ChatMessageQueryParam, opts ...schema.ChatMessageQueryOptions) (*schema.ChatMessageQueryResult, error)
	// 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.ChatMessageQueryOptions) (*schema.ChatMessage, error)
	// 创建数据
	Create(ctx context.Context, item schema.ChatMessage) error
	// 更新数据
	Update(ctx context.Context, recordID string, item schema.ChatMessage) error
	// 删除数据
	Delete(ctx context.Context, recordID string) error
	// 更新状态
	UpdateStatus(ctx context.Context, recordID string, status int) error
}
